=== debian/control ===
Source: ros-rolling-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-class-loader, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-fanuc-description, ros-rolling-moveit-resources-fanuc-moveit-config, ros-rolling-moveit-resources-panda-description, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-ros-planning, ros-rolling-orocos-kdl, ros-rolling-pluginlib, ros-rolling-ros-testing, ros-rolling-tf2, ros-rolling-tf2-kdl, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python-lxml, ros-rolling-class-loader, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-orocos-kdl, ros-rolling-pluginlib, ros-rolling-tf2, ros-rolling-tf2-kdl, ros-rolling-urdfdom, ros-rolling-ros-workspace
Description: Package for all inverse kinematics solvers in MoveIt
