=== debian/control ===
Source: ros-rolling-moveit-kinematics
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-class-loader, ros-rolling-generate-parameter-library, ros-rolling-launch-param-builder <!nocheck>, ros-rolling-moveit-common, ros-rolling-moveit-configs-utils <!nocheck>, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-resources-fanuc-description <!nocheck>, ros-rolling-moveit-resources-fanuc-moveit-config <!nocheck>, ros-rolling-moveit-resources-panda-description <!nocheck>, ros-rolling-moveit-resources-panda-moveit-config <!nocheck>, ros-rolling-moveit-ros-planning, ros-rolling-orocos-kdl-vendor, ros-rolling-pluginlib, ros-rolling-ros-testing <!nocheck>, ros-rolling-rsl, ros-rolling-tf2, ros-rolling-tf2-kdl, ros-rolling-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-rolling-moveit-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-lxml, ros-rolling-class-loader, ros-rolling-generate-parameter-library, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-msgs, ros-rolling-moveit-ros-planning, ros-rolling-orocos-kdl-vendor, ros-rolling-pluginlib, ros-rolling-rsl, ros-rolling-tf2, ros-rolling-tf2-kdl, ros-rolling-urdfdom, ros-rolling-ros-workspace
Description: Package for all inverse kinematics solvers in MoveIt
